/*
 * startupframe.cpp
 */

#include "startupframe.h"
#include "mainwin.h"
#include "icons.h"
#include <qpixmap.h>
#include <qlabel.h>
#include <qdir.h>

/*
#ifdef USE_XPM
#include ICON_100RED
#include ICON_100EMERALD
#include ICON_100YELLOW
#include ICON_100PURPLE
#include ICON_100NAVY
#include ICON_100BLUE
#endif
*/

StartUpFrame::StartUpFrame(QWidget *parent, const char *name, bool /*modal*/, WFlags fl)
	: StartUpFrameGui(parent, name, fl)
{
}

StartUpFrame::~StartUpFrame()
{
}

// load pix
void StartUpFrame::showPix()
{
	// restore size
	if (parent->getMenuSize().width() > 0)
	{
		resize(parent->getMenuSize());
		move(parent->getMenuPos());
	}
/*
#ifdef USE_XPM
	PixmapGnuGo->setProperty("pixmap", QPixmap(const_cast<const char**>(red_xpm)));
	PixmapLoadGame->setProperty("pixmap", QPixmap(const_cast<const char**>(emerald_xpm)));
	PixmapClose->setProperty("pixmap", QPixmap(const_cast<const char**>(yellow_xpm)));
	PixmapClient->setProperty("pixmap", QPixmap(const_cast<const char**>(purple_xpm)));
	PixmapOpenBoard->setProperty("pixmap", QPixmap(const_cast<const char**>(navy_xpm)));
	PixmapPreferences->setProperty("pixmap", QPixmap(const_cast<const char**>(blue_xpm)));
#else
	// now load pix
	QDir path = QDir::current();

	PixmapGnuGo->setProperty("pixmap", QPixmap(path.filePath(ICON_100RED)));
	PixmapLoadGame->setProperty("pixmap", QPixmap(path.filePath(ICON_100EMERALD)));
	PixmapClose->setProperty("pixmap", QPixmap(path.filePath(ICON_100YELLOW)));
	PixmapClient->setProperty("pixmap", QPixmap(path.filePath(ICON_100PURPLE)));
	PixmapOpenBoard->setProperty("pixmap", QPixmap(path.filePath(ICON_100NAVY)));
	PixmapPreferences->setProperty("pixmap", QPixmap(path.filePath(ICON_100BLUE)));
#endif
*/
}

// save size and pos
void StartUpFrame::slot_saveSize()
{
	// store size
	parent->saveMenuFrame(pos(), size());
	slot_close();
}

void StartUpFrame::slot_client()
{
	parent->show();
	parent->raise();
}

void StartUpFrame::slot_openBoard()
{
	parent->openLocalBoard();
}

void StartUpFrame::slot_loadGame()
{
	parent->openLocalGame();
}

void StartUpFrame::slot_gnuGo()
{
}

void StartUpFrame::slot_preferences()
{
	parent->openPreferences();
}

void StartUpFrame::slot_close()
{
	parent->quit();
}

